import {
  AddFunctionProps,
  AmplifyDynamoDbModelDataSourceStrategy,
  AmplifyDynamoDbTableWrapper,
  AmplifyGraphqlApi,
  AmplifyGraphqlApiCfnResources,
  AmplifyGraphqlApiProps,
  AmplifyGraphqlApiResources,
  AmplifyGraphqlDefinition,
  ApiKeyAuthorizationConfig,
  AuthorizationModes,
  AutomergeConflictResolutionStrategy,
  ConflictDetectionType,
  ConflictResolution,
  ConflictResolutionStrategy,
  ConflictResolutionStrategyBase,
  CustomConflictResolutionStrategy,
  CustomSqlDataSourceStrategy,
  DataStoreConfiguration,
  DefaultDynamoDbModelDataSourceStrategy,
  FunctionSlot,
  FunctionSlotBase,
  FunctionSlotOverride,
  IAMAuthorizationConfig,
  IdentityPoolAuthorizationConfig,
  IAmplifyGraphqlDefinition,
  IBackendOutputEntry,
  IBackendOutputStorageStrategy,
  LambdaAuthorizationConfig,
  MutationFunctionSlot,
  OIDCAuthorizationConfig,
  OptimisticConflictResolutionStrategy,
  PartialTranslationBehavior,
  ProvisionedConcurrencyConfig,
  ProvisionedThroughput,
  QueryFunctionSlot,
  SQLLambdaModelDataSourceStrategy,
  SQLLambdaModelDataSourceStrategyFactory,
  SqlModelDataSourceDbConnectionConfig,
  SqlModelDataSourceSecretsManagerDbConnectionConfig,
  SqlModelDataSourceSsmDbConnectionConfig,
  SSESpecification,
  SSEType,
  StreamSpecification,
  SubnetAvailabilityZone,
  SubscriptionFunctionSlot,
  TimeToLiveSpecification,
  TranslationBehavior,
  UserPoolAuthorizationConfig,
  VpcConfig,
  ModelDataSourceStrategy,
  ModelDataSourceStrategyDbType,
  ModelDataSourceStrategySqlDbType,
} from '@aws-amplify/graphql-api-construct';

export {
  AddFunctionProps,
  AmplifyDynamoDbModelDataSourceStrategy,
  AmplifyDynamoDbTableWrapper,
  AmplifyGraphqlApi as AmplifyData,
  AmplifyGraphqlApiCfnResources as AmplifyDataCfnResources,
  AmplifyGraphqlApiProps as AmplifyDataProps,
  AmplifyGraphqlApiResources as AmplifyDataResources,
  AmplifyGraphqlDefinition as AmplifyDataDefinition,
  ApiKeyAuthorizationConfig,
  AuthorizationModes,
  AutomergeConflictResolutionStrategy,
  ConflictDetectionType,
  ConflictResolution,
  ConflictResolutionStrategy,
  ConflictResolutionStrategyBase,
  CustomConflictResolutionStrategy,
  CustomSqlDataSourceStrategy,
  DataStoreConfiguration,
  DefaultDynamoDbModelDataSourceStrategy,
  FunctionSlot,
  FunctionSlotBase,
  FunctionSlotOverride,
  IAMAuthorizationConfig,
  IdentityPoolAuthorizationConfig,
  IAmplifyGraphqlDefinition as IAmplifyDataDefinition,
  IBackendOutputEntry,
  IBackendOutputStorageStrategy,
  LambdaAuthorizationConfig,
  ModelDataSourceStrategy,
  ModelDataSourceStrategyDbType,
  ModelDataSourceStrategySqlDbType,
  MutationFunctionSlot,
  OIDCAuthorizationConfig,
  OptimisticConflictResolutionStrategy,
  PartialTranslationBehavior,
  ProvisionedConcurrencyConfig,
  ProvisionedThroughput,
  QueryFunctionSlot,
  SQLLambdaModelDataSourceStrategy,
  SQLLambdaModelDataSourceStrategyFactory,
  SqlModelDataSourceDbConnectionConfig,
  SqlModelDataSourceSecretsManagerDbConnectionConfig,
  SqlModelDataSourceSsmDbConnectionConfig,
  SSESpecification,
  SSEType,
  StreamSpecification,
  SubnetAvailabilityZone,
  SubscriptionFunctionSlot,
  TimeToLiveSpecification,
  TranslationBehavior,
  UserPoolAuthorizationConfig,
  VpcConfig,
};
